package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaBonusPool;
import com.ruoyi.oa.domain.vo.OaBonusPoolVo;
import com.ruoyi.oa.domain.bo.OaBonusPoolBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;
import liquibase.pro.packaged.B;

import java.util.Collection;
import java.util.List;

/**
 * 奖金池Service接口
 *
 * @author ruoyi
 * @date 2025-10-23
 */
public interface IOaBonusPoolService {

    /**
     * 查询奖金池
     */
    OaBonusPoolVo queryById(Long poolId);

    /**
     * 查询奖金池列表
     */
    TableDataInfo<OaBonusPoolVo> queryPageList(OaBonusPoolBo bo, PageQuery pageQuery);

    /**
     * 查询奖金池列表
     */
    List<OaBonusPoolVo> queryList(OaBonusPoolBo bo);

    /**
     * 新增奖金池
     */
    Boolean insertByBo(OaBonusPoolBo bo);

    /**
     * 修改奖金池
     */
    Boolean updateByBo(OaBonusPoolBo bo);

    /**
     * 校验并批量删除奖金池信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    Boolean batchAdd(OaBonusPoolBo bo);
}
